com.google.protobuf

## Interface RpcCallback<ParameterType>

-     public interface RpcCallback<ParameterType>

  Interface for an RPC callback, normally called when an RPC completes. `ParameterType` is normally the method's response message type.

  Starting with version 2.3.0, RPC implementations should not try to build on this, but should instead provide code generator plugins which generate code specific to the particular RPC implementation. This way the generated code can be more appropriate for the implementation in use and can avoid unnecessary layers of indirection.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run(ParameterType parameter)`

- - ### Method Detail

    - #### run

          void run(ParameterType parameter)